> For the complete documentation index, see [llms.txt](https://developer.pitchly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.pitchly.com/pitchly-field-types-returns.md).

# Pitchly Field Types/Returns

The following are all the field types in Pitchly, and sample return values when returned in a recordsConnection query.

\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-38-53-9155-PM.png?width=21\&height=24\&name=image-png-Mar-08-2024-08-38-53-9155-PM.png) | <p><strong>Single-line Text:</strong> Short single-line text<br><br><strong>Sample Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldpLdoGAFzJae8BfTG7","value":{"val":"Name"},"stringValue":"Name"}</p>                                                                                                                                                                                                            |
\| ------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-48-07-7091-PM.png?width=24\&height=23\&name=image-png-Mar-08-2024-08-48-07-7091-PM.png) | <p><strong>Number:</strong> Number with possible decimal<br><br><strong>Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldFawgZ4fMZC7PRhjbE","value":{"val":2300},"stringValue":"2,300"}</p>                                                                                                                                                                                                                        |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-40-18-8579-PM.png?width=22\&height=21\&name=image-png-Mar-08-2024-08-40-18-8579-PM.png) | <p><strong>Yes/No:</strong> Binary yes/no value<br><br><strong>Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldPSYXsMQY9qhLZB2Cg","value":{"val":true},"stringValue":"Yes"}</p>                                                                                                                                                                                                                                   |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-49-50-5552-PM.png?width=27\&height=20\&name=image-png-Mar-08-2024-08-49-50-5552-PM.png) | <p><strong>Multi-line Text:</strong> Long multi-line text (can store clickable URLs)<br><br><strong>Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldpLdoGAFzJae8BfTG7","value":{"val":"longer text"},"stringValue":"longer text"}</p>                                                                                                                                                                             |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-41-45-8490-PM.png?width=26\&height=24\&name=image-png-Mar-08-2024-08-41-45-8490-PM.png) | <p><strong>Dropdown:</strong> Picklist of predefined choices (limited to one selection)<br><br><strong>Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldnkQKPuSETPib3CPYm","value":{"val":"Lincoln"},"stringValue":"Lincoln"}</p>                                                                                                                                                                                  |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-53-50-0429-PM.png?width=25\&height=24\&name=image-png-Mar-08-2024-08-53-50-0429-PM.png) | <p><strong>Dropdown Multiple:</strong> Picklist of predefined choices (multiple selections available)<br><br><strong>Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldeZsZWHw7yYuBjCgTf","value":{"val":\["Lincoln","Omaha"]},"stringValue":\["Lincoln","Omaha"]}<br></p>                                                                                                                                            |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-43-38-4526-PM.png?width=24\&height=24\&name=image-png-Mar-08-2024-08-43-38-4526-PM.png) | <p><strong>Date:</strong> Date in the format MM/DD/YYYY<br><br><strong>Return Value:</strong></p>                                                                                                                                                                                                                                                                                                                               |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-47-09-0416-PM.png?width=16\&height=25\&name=image-png-Mar-08-2024-08-47-09-0416-PM.png) | <p><strong>Currency:</strong> Currency amount with symbol<br><br><strong>Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldxmggqWFyYsdTXjgRw","value":{"val":23045,"currency":"USD"},"stringValue":"$23,045"}</p>                                                                                                                                                                                                   |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-42-37-9413-PM.png?width=21\&height=23\&name=image-png-Mar-08-2024-08-42-37-9413-PM.png) | <p><strong>Attachment:</strong> Any type of file attachment, including images. <code>type</code> is the mime type of the file, and <code>size</code> is the size of the file in bytes. <code>val</code> is the URL of the file.<br><br><strong>Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldxmggqWFyYsdTXjgRw","value":{"val":"https\://..., "type":"image/jpeg", size: 50000},"stringValue":"https\://..."}</p> |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-45-36-5479-PM.png?width=24\&height=25\&name=image-png-Mar-08-2024-08-45-36-5479-PM.png) | <p><strong>Reference:</strong> Creates a relationship/link to one record in another table<br><br><strong>Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldqrYiD9XpWw8AQkhEf","value":{"val":"wksdMHiQmzTt6Dhf9N77 recguqydmvmsWfCkJxHu"},"stringValue":"Jacob"}<br></p>                                                                                                                                            |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-44-37-2760-PM.png?width=28\&height=24\&name=image-png-Mar-08-2024-08-44-37-2760-PM.png) | <p><strong>Reference Multiple:</strong> Creates a relationship/link to multiple records in another table<br><br><strong>Return Value:</strong></p><p>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldKp2RtY9XnVw7mLs4Q","value":{"val":\["wksdMHiQmzTt6Dhf9N77recguqydmvmsWfCkJxHu","wksdMHiQmzTt6Dhf9N77recM4ria9LpqZvTnBxKe2"]},"stringValue":\["Jacob","Maria"]}</p>                                                                       |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-48-56-5531-PM.png?width=27\&height=23\&name=image-png-Mar-08-2024-08-48-56-5531-PM.png) | <p><strong>Lookup:</strong> Read-only subfield pulled from a referenced table<br><br><strong>Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldLk8QmzTt6Dhf9N7zXa","value":{"val":"Acme Inc"},"stringValue":"Acme Inc"}</p>                                                                                                                                                                                         |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-55-53-3822-PM.png?width=23\&height=24\&name=image-png-Mar-08-2024-08-55-53-3822-PM.png) | <p><strong>Created At:</strong> Displays creation date and time<br><br><strong>Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldCr8AtZ9XmVw7mLs4Q","value":{"val":"2026-06-17T14:30:00.000Z"},"stringValue":"2026-06-17 2:30 pm"}</p>                                                                                                                                                                              |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-54-43-8230-PM.png?width=23\&height=21\&name=image-png-Mar-08-2024-08-54-43-8230-PM.png) | <p><strong>Updated At:</strong> Displays date and time of last update<br><br><strong>Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldUp8AtZ9XmVw7mLs4Q","value":{"val":"2026-06-17T18:45:00.000Z"},"stringValue":"2026-06-17 6:45 pm"}</p>                                                                                                                                                                        |
\| ![](https://support.pitchly.com/hs-fs/hubfs/image-png-Mar-08-2024-08-51-11-1728-PM.png?width=25\&height=22\&name=image-png-Mar-08-2024-08-51-11-1728-PM.png) | <p><strong>Formula:</strong> Calculates values based on predefined logic<br><br><strong>Return Value:</strong><br>{"fieldId":"wksdMHiQmzTt6Dhf9N77|fldFm8La9XpWw8AQkhEf","value":{"val":1234.5},"stringValue":"1,234.5"}</p>                                                                                                                                                                                                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.pitchly.com/pitchly-field-types-returns.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
